Bug 967392 - group name and display name not used consistently
group name and display name not used consistently
Status: VERIFIED
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.13
Unspecified Unspecified
unspecified Severity unspecified (vote)
: 25.0
: ---
Assigned To: Dan Callaghan
Anwesha Chatterjee
UX
: Patch, Triaged
: 1021368 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 22:50 EDT by Dan Callaghan
Modified: 2017-09-20 01:22 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Callaghan 2013-05-26 22:50:14 EDT
Currently the jobs grid shows group names in the Group column, but when you click through to the job page the Group field shows the display name instead of the group name. To keep consistency across all parts of the UI, we should always show just the group name.

It's worth noting that users are always display as their user name, the real name is not shown. So this would bring groups in line with how we treat users.

We could show the group's display name in the title text for the link. We can do that consistently across the UI as well, without worrying about the space it would take up in grid columns. We could do the same for users as well (always show user name, with real name in the title text).
Comment 1 Nick Coghlan 2013-10-21 03:47:41 EDT
*** Bug 1021368 has been marked as a duplicate of this bug. ***
Comment 2 Nick Coghlan 2013-10-21 03:50:21 EDT
As noted in bug 1021368, the display names are not guaranteed to be unique, so using them is the primary means of display anywhere is not only inconsistent, but also potentially ambiguous.

Showing the underlying username or groupname by default, with the "Display Name" in a tooltip would also address that (although it makes "Display Name" a misnomer for that field - perhaps the label should be changed to "Full Name" and/or "Summary"?
Comment 3 Hui Wang 2016-11-28 22:00:31 EST

If only chose "Use old, deprecated job and recipe pages", this issue still exists.
In new job/recipe pages, the Group column both show groupname.
Comment 4 Roman Joost 2016-12-13 18:54:42 EST
If this problem only exists on the old job page, we can close this bug.

We think that all the other views don't have this problem anymore, but whoever takes this bug is encouraged to double check.
Comment 5 wangdong 2017-01-16 21:27:29 EST
(In reply to Roman Joost from comment #4)
> If this problem only exists on the old job page, we can close this bug.
> 
> We think that all the other views don't have this problem anymore, but
> whoever takes this bug is encouraged to double check.

Double checked on Beaker 24.0.git.242.608161a.
It's only exists in old job page. 
In new Job page, both Group column(*/jobs) and Job detail page show group name *not* display name.

I prefer close this bug,  I think very few people still use old Job page.
Comment 6 wangdong 2017-01-17 02:01:39 EST
Hi Roman
After traversal all pages in Beaker. I found 3 places used group name. And in step 3 group name/display not used consistently. 
I prefer we can fix it. If you feel this need fix, I can handle it.

1. Make some change in group check blew pages.
In these page used *group name*
https://beaker-devel.app.eng.bos.redhat.com/activity/group
https://beaker-devel.app.eng.bos.redhat.com/activity/
2. Check other pages.
These page used *group name*
https://beaker-devel.app.eng.bos.redhat.com/jobs/

3. In this page, Under Use custom access policy, used *group name*
https://beaker-devel.app.eng.bos.redhat.com/view/calxeda-soc-01-n04.rhts.eng.bos.redhat.com#access-policy

But in Activity
https://beaker-devel.app.eng.bos.redhat.com/view/calxeda-soc-01-n04.rhts.eng.bos.redhat.com#history
Used *display name*
Comment 7 Dan Callaghan 2017-07-24 03:39:14 EDT
Specifically, the only place left where we are identifying groups by their display name appears to be in the system activity records for adding/removing access policy rules, which look like this:

dowang	HTTP	2017-01-17 16:54:07 +10:00	Access Policy Rule	Added		<grant view to dowang-test-displayname>
dowang	HTTP	2017-01-17 16:52:59 +10:00	Access Policy Rule	Removed	<grant view to dowang-test-displayname>

Normally I am loathe to change these because it will break the ability to do historical data mining if the structure of the activity entries has changed over time... *but* that's just the repr() of the SystemAccessPolicyRule object which was a bit of laziness on my part. The repr() is really already subject to change at any time *and* not very parseable either to boot.

So it's probably worth fixing (and covering with a test case for the future).

The other cases where we try to jam structured data into activity records is for distro tree--lab controller maps, which the values look like:

    <fqdn> <url>

separated by space, although those are also unusable for a different reason (bug 968715)... and the field names for install options, which look like:

    InstallOptions:ks_meta:<arch>/<osversion>
    InstallOptions:kernel_options:<arch>/<osversion>
    InstallOptions:kernel_options_post:<arch>/<osversion>

So perhaps the best option is use colons to separate the pieces of the value here for the access policy rules.

And then we can finally consider this bug done.
Comment 8 Dan Callaghan 2017-07-24 04:08:11 EDT
https://gerrit.beaker-project.org/5759
Comment 9 Dan Callaghan 2017-07-24 21:14:38 EDT
The tests have revealed one other place where we are using group display name, which is in the activity records for system pools, when the pool owner is a group. However I think we are better off just changing this to use group name too, even though it does make historical data mining of the activity records harder.
Comment 10 Dan Callaghan 2017-07-24 21:45:14 EDT
https://gerrit.beaker-project.org/5759
Comment 11 Dan Callaghan 2017-07-24 21:45:28 EDT
Oops wrong link... I meant:
https://gerrit.beaker-project.org/5760
Comment 13 Anwesha Chatterjee 2017-09-20 01:21:24 EDT
Verified on https://beaker-devel.app.eng.bos.redhat.com/ 

Group name now appears in the following pages
1. system activity records for adding/removing access policy rules

achatter	HTTP	2017-09-20 15:14:33 +10:00	Access Policy Rule	Added		Group:beakerdevs:view

2. activity records for system pools
achatter	HTTP	2017-09-20 15:17:27 +10:00	beaker-dogfood	Access Policy Rule	Added		Group:beakerdevs:view

Note You need to log in before you can comment on or make changes to this bug.